[Pkg-cli-apps-commits] [fsharp] 02/06: Run upstream testsuite in autopkgtests
Christopher Halse Rogers
raof-guest at moszumanska.debian.org
Tue Jul 15 07:13:33 UTC 2014
This is an automated email from the git hooks/post-receive script.
raof-guest pushed a commit to branch master
in repository fsharp.
commit 80fa35b2d978e088ca4d5062ec2e07e72284c372
Author: Christopher James Halse Rogers <raof at ubuntu.com>
Date: Fri Jul 11 09:51:44 2014 +1000
Run upstream testsuite in autopkgtests
---
debian/tests/control | 4 ++++
debian/tests/upstream-testsuite | 12 ++++++++++++
2 files changed, 16 insertions(+)
diff --git a/debian/tests/control b/debian/tests/control
index 3c60e5e..42c8a13 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,3 +1,7 @@
Tests: basic-xbuild-project
Restrictions:
Depends: fsharp, mono-xbuild
+
+Tests: upstream-testsuite
+Restrictions:
+Depends: fsharp, mono-xbuild, nunit-console
diff --git a/debian/tests/upstream-testsuite b/debian/tests/upstream-testsuite
new file mode 100755
index 0000000..7cb7f9c
--- /dev/null
+++ b/debian/tests/upstream-testsuite
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -e
+
+UNIT_TEST_DIR=tests/xplat/core/FsharpUnitTestProject
+OBJECT_REL_PATH=bin/Debug
+
+UNIT_TEST_DLLS=$UNIT_TEST_DIR/MonoFSharpLanguageUnitTests/$OBJECT_REL_PATH/MonoFSharpLanguageUnitTests.dll
+
+xbuild /target:MonoFSharpLanguageTests "$UNIT_TEST_DIR/F# Core Language Cross Platform Unit Tests.sln"
+
+exec nunit-console $UNIT_TEST_DLLS
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-cli-apps/packages/fsharp.git
More information about the Pkg-cli-apps-commits
mailing list